<html>
    <body>
        <?php
        ini_set("max_execution_time", 5000);
        ini_set('memory_limit', '1024M');
        $bulan_text = [
            "Januari",
            "Februari",
            "Maret",
            "April",
            "Mei",
            "Juni",
            "Juli",
            "Agustus",
            "September",
            "Oktober",
            "November",
            "Desember"
        ];
        ?>
        <div>
            <div>
                <div style='width: 100%; float: right;'>
                    <p style="text-align: center; font-size: 10pt; font-weight: BOLD;">
                        PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?>, <?= strtoupper($ar_pemda->s_namaprov); ?>
                    </p>
                    <p style="text-align: center; font-size: 12pt; font-weight: BOLD; line-height: 1px;">
                        <?= strtoupper($ar_pemda->s_namainstansi); ?> (<?= strtoupper($ar_pemda->s_namasingkatinstansi); ?>)
                    </p>
                    <p style="text-align: center; font-size: 8pt; line-height: 5px">
                        <?= strtoupper($ar_pemda->s_alamatinstansi); ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?> <?= $ar_pemda->s_kodepos ?>
                    </p>
                </div>
                <div style='clear:both;'></div>
            </div>
            <hr style="line-height: 1px; color: black">
            <h4 style="text-align: center">REGISTER SURAT TANDA SETORAN</h4>

            <p style="font-size: 12pt; line-height: 5px; text-align: center; font-weight: bold;"> 
                Bulan <?= $bulan_text[$bulan-1] ?> Tahun <?= $tahun ?>
            </p>
            <table width="100%" class="font_sembilan">
                <tr style="text-align: center; font-weight: bold;">
                    <td class="border_atas border_bawah border_kanan border_kiri" style="text-align: center; font-weight: bold;">
                        No.
                    </td>
                    <td style="text-align: center; font-weight: bold;">
                        Tanggal
                    </td style="text-align: center; font-weight: bold;">
                    <td style="text-align: center; font-weight: bold;">
                        Kode Rekening
                    </td style="text-align: center; font-weight: bold;">
                    <td style="text-align: center; font-weight: bold;">
                        Uraian
                    </td style="text-align: center; font-weight: bold;">
                    <td style="text-align: center; font-weight: bold;">
                        Jumlah
                    </td style="text-align: center; font-weight: bold;">
                    <td style="text-align: center; font-weight: bold;">
                        Penyetor
                    </td style="text-align: center; font-weight: bold;">
                    <td style="text-align: center; font-weight: bold;">
                        Ket
                    </td>
                </tr>
                <?php
                $counter = 1;
                $total_pembayaran = 0;
                foreach ($this->data as $k => $v) {
                    ?>
                    <tr style="text-align: center">
                        <td style="text-align: center;">
                            <?= $counter ?>
                        </td>
                        <td>
                            <?= date('d-m-Y', strtotime($v['tglbayar'])) ?>
                        </td>
                        <td>
                            <?= str_replace('.', '', $v['korek']) ?>
                        </td>
                        <td>
                            <?= $v['s_namakorek'] ?>
                        </td>
                        <td style="text-align: right;">
                            <?= number_format($v['pembayaran'],0,',','.') ?>
                        </td>
                        <td>
                            <?= $v['penyetor'] ?>
                        </td>
                        <td>

                        </td>
                    </tr>
                    <?php
                    $total_pembayaran += $v['pembayaran'];
                    $counter++;
                }
                ?>
                    <tr>
                        <td colspan="4" style="text-align: center;">Jumlah Total</td>
                        <td style="text-align: right;"><?=  number_format($total_pembayaran,0,',','.')?></td>
                        <td></td>
                        <td></td>
                    </tr>
            </table>
        </div>
    </body>
</html>

<style type="text/css" media="print">
    table, th, td {
        border: 1px solid black;
        border-collapse: collapse;
    }
    .font_empatbelas {
        font-size: 14pt;
    }    
</style>